jQuery(function($){
	
	$("#CopiarPlanEPlanesEstrategicos_detail_button_save").bind("click",function(event){
		crearCopiaPlanE();
	});	
	
	$("#CopiarPlanEPlanesEstrategicos_detail_link_cancel").bind("click",function(event){
		$("#divCopiarAltaPlanE_Dialog").rup_dialog("close");
	});	
	
	
	$('#CopiarPlanEfechaAceptacionPlan_detail_table').rup_date({});
	
	var properties = {
			type: "error",
			gotoTop: false,
			block: false,
			closeLink: true
		}
	$("#CopiarPlanEPlanesEstrategicos_detail_feedback").rup_feedback (properties);
	
	if(tipoEntidad===HERRI_ADMINISTRAZIOA_ID){
		$("#CopiarPlanEPlanesEstrategicos_detail_form").rup_validate({
			rules: {
					"anyoinicio":{
						required: true, digits:true, maxlength:4, minlength:4
					},
					"indiceObligat":{
						required: false, digits:true, maxlength:3
    				},
    				"nivelCumplimientoReqeus":{
						required: false, digits:true, maxlength:3
    				},
    				"fechaAceptacionPlan":{
						required: false, date:true
    				},
    				"nombre":{
						required: false, maxlength:250
    				},
    				"nombreeus":{
						required: false, maxlength:250
    				}
			}
		});
	}else{
		$("#CopiarPlanEPlanesEstrategicos_detail_form").rup_validate({
			rules: {
					"anyoinicio":{
						required: true, digits:true, maxlength:4, minlength:4
					},
					"anyofin":{
						required: true, digits:true, maxlength:4, minlength:4
					},
					"fechaAceptacionPlan":{
						required: false, date:true
    				},
    				"porcentajeBiling":{
						required: false, digits:true, maxlength:3
					},
					"nombre":{
						required: false, maxlength:250
    				},
    				"nombreeus":{
						required: false, maxlength:250
    				}
			}
		});
	}
	
	$('.esNumero').on('input', function () { 
	    this.value = this.value.replace(/[^0-9]/g,'');
	});
	
});


function crearCopiaPlanE(){
	
	if(ab39aUtils.form.validate($("#CopiarPlanEPlanesEstrategicos_detail_form"),$("#CopiarPlanEPlanesEstrategicos_detail_feedback"))){
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.campos_tabla_planes_estrategicos.copiarPlanE,
			title: $.rup.i18n.app.campos_tabla_planes_estrategicos.copiarPlanETitulo,
			OKFunction : function () {
				//ab39aUtils.util.bloquearInterfaz();
				/*$.rup_ajax({
					url : $.rup.CTX_PATH + "planesestrategicos/crearcopiaplane",
					type : "POST",
					async : false,
					data : JSON.stringify(codplane),
					contentType : "application/json",
					success : function(respuesta) {
						//ab39aUtils.util.desbloquearInterfaz();
						
						$("#PlanesEstrategicos_feedback").rup_feedback("set", $.rup.i18n.app.campos_tabla_planes_estrategicos.planECopiadoOk);
						$('#divCopiarPlanE_Dialog').rup_dialog("close");
						$("#PlanesEstrategicos").rup_table("reloadGrid",false);
						
						
					},
					error : function(respuesta) {
						throw respuesta.responseText;
					}
				});*/
				
				
				 var planesEstrategicos = //[
				 	{
					 	codplane: $("#CopiarPlanEcodplane_detail_table").val(),
						planificacion:{
							codplanificacion : $("#CopiarPlanEplanificacion_codplanificacion_detail_table").val(),
							fechafin : $("#CopiarPlanEplanificacion_fechafin_detail_table").val(),
							fechainicio : $("#CopiarPlanEplanificacion_fechainicio_detail_table").val()
							//,
							//textPlanificacion : $("#CopiarPlanEplanificacion_textplanificacion_detail_table").val()
						},
					 	
						anyoinicio : $("#CopiarPlanEanyoinicio_detail_table").val(),
						anyofin : $("#CopiarPlanEanyofin_detail_table").val(),
						indiceObligat : $("#CopiarPlanEindiceObligat_detail_table").val(),
						nivelCumplimientoReqeus : $("#CopiarPlanEnivelCumplimientoReqeus_detail_table").val(),
						fechaAceptacionPlan : $("#CopiarPlanEfechaAceptacionPlan_detail_table").val(),
						nombre : $("#CopiarPlanEnombre_detail_table").val(),
						nombreeus : $("#CopiarPlanEnombreeus_detail_table").val(),
						porcentajeBiling : $("#CopiarPlanEporcentajeBilin_detail_table").val(),
						entidad:{
							codentidad : $("#CopiarPlanEentidad_codentidad_detail_table").val(),
							tipoEntidad : $("#CopiarPlanEentidad_tipoEntidad_detail_table").val()
						}
						
				 	}
		          //  { id: 1, color: 'yellow' }
		        //]
	 			;
				$.rup_ajax({
					url : $.rup.CTX_PATH + "planesestrategicos/crearcopiaplane",
					contentType : "application/json; charset=utf-8",
					cache : false,
					data: JSON.stringify(planesEstrategicos),
					/*data: {
						"codplane": $("#CopiarPlanEcodplane_detail_table").val(),
						"planificacion.codplanificacion" : $("#CopiarPlanEplanificacion_codplanificacion_detail_table").val(),
						"planificacion.fechafin" : $("#CopiarPlanEplanificacion_fechafin_detail_table").val(),
						"planificacion.fechainicio" : $("#CopiarPlanEplanificacion_fechainicio_detail_table").val(),
						"planificacion.textPlanificacion" : $("#CopiarPlanEplanificacion_textplanificacion_detail_table").val(),
						"anyoinicio" : $("#CopiarPlanEanyoinicio_detail_table").val(),
						"anyofin" : $("#CopiarPlanEanyofin_detail_table").val(),
						"indiceObligat" : $("#CopiarPlanEindiceObligat_detail_table").val(),
						"nivelCumplimientoReqeus" : $("#CopiarPlanEnivelCumplimientoReqeus_detail_table").val(),
						"fechaAceptacionPlan" : $("#CopiarPlanEfechaAceptacionPlan_detail_table").val(),
						"nombre" : $("#CopiarPlanEnombre_detail_table").val(),
						"nombreeus" : $("#CopiarPlanEnombreeus_detail_table").val(),
						"porcentajeBiling" : $("#CopiarPlanEporcentajeBilin_detail_table").val()
					},*/
					dataType: "json",
					type : "POST",
					//beforeSend: waitDialog("Guardando..."),
				    //complete: closeWaitDialog,
					success : function(response) {						
						$("#CopiarPlanE").rup_table("reloadGrid",false);
						$("#PlanesEstrategicos").rup_table("reloadGrid",false);
						$("#divCopiarAltaPlanE_Dialog").rup_dialog("close");
						//$('#divCopiarAltaPlanE_Dialog').rup_dialog("destroy");						
						window.location = $.rup.CTX_PATH + "elementosArbol/arbol/detalle/" + response.codplane + "/PE/1/0";
					},
					error : function(error) {
						
						$("#CopiarPlanEPlanesEstrategicos_detail_feedback").rup_feedback("set", error.responseText, "error");
						
					}
				});
				
				
			}
		});
		
	}
}